Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.datatype
Class IDREFDatatypeValidator

    java.lang.Object
      |
      +--org.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--org.apache.xerces.validators.datatype.AbstractStringValidator
                  |
                  +--org.apache.xerces.validators.datatype.StringDatatypeValidator
                        |
                        +--org.apache.xerces.validators.datatype.IDREFDatatypeValidator

public class IDREFDatatypeValidator
extends StringDatatypeValidator

IDREFValidator defines the interface that data type validators must obey. These validators can be supplied by the application writer and may be useful as standalone code as well as plugins to the validator architecture.

Version:
  $Id: IDREFDatatypeValidator.java,v 1.23 2001/06/20 15:09:07 sandygao Exp $
Author:
  Jeffrey Rodriguez-, Mark Swinkles - List Validation refactoring

Field Summary
`static int` | `IDREF_CHECKID`
`static int` | `IDREF_VALIDATE`

Fields inherited from class org.apache.xerces.validators.datatype.AbstractStringValidator
`FACET_SPECIAL_TOKEN, fEnumeration, fLength, fMaxLength, fMinLength, fTokenType, SPECIAL_TOKEN_ENTITY, SPECIAL_TOKEN_IDNAME, SPECIAL_TOKEN_IDNCNAME, SPECIAL_TOKEN_IDREFNAME, SPECIAL_TOKEN_IDREFNCNAME, SPECIAL_TOKEN_NAME, SPECIAL_TOKEN_NCNAME, SPECIAL_TOKEN_NMTOKEN, SPECIAL_TOKEN_NONE`

Fields inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`fBaseValidator, fFacetsDefined, fFlags, fLocale, fMessageProvider, fPattern, fRegex`

Constructor Summary
`IDREFDatatypeValidator()`
`IDREFDatatypeValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`java.lang.Object` | `clone()` Returns a copy of this object.
`short` | `getWSFacet()` return value of whiteSpace facet
`java.lang.Object` | `validate(java.lang.String content, java.lang.Object state)` Checks that "content" string is valid datatype.

Methods inherited from class org.apache.xerces.validators.datatype.StringDatatypeValidator
`assignAdditionalFacets, checkBaseFacetConstraints, compare, inheritAdditionalFacets`

Methods inherited from class org.apache.xerces.validators.datatype.AbstractStringValidator
`checkValueSpace, derivationList, getLength, setTokenType, validateToken`

Methods inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`getBaseValidator, getErrorString, setLocale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IDREF_VALIDATE

    public static final int IDREF_VALIDATE

### IDREF_CHECKID

    public static final int IDREF_CHECKID

Constructor Detail

### IDREFDatatypeValidator

    public IDREFDatatypeValidator()
                           throws InvalidDatatypeFacetException

### IDREFDatatypeValidator

    public IDREFDatatypeValidator(DatatypeValidator base,
                                  java.util.Hashtable facets,
                                  boolean derivedByList)
                           throws InvalidDatatypeFacetException

Method Detail

### getWSFacet

    public short getWSFacet()

  return value of whiteSpace facet
  Overrides:
    getWSFacet in class StringDatatypeValidator

### validate

    public java.lang.Object validate(java.lang.String content,
                                     java.lang.Object state)
                              throws InvalidDatatypeValueException

  Checks that "content" string is valid datatype. If invalid a Datatype validation exception is thrown.
  Overrides:
    validate in class AbstractStringValidator
  Parameters:
    `content` - A string containing the content to be validated
    `derivedBylist` - Flag which is true when type is derived by list otherwise it it is derived by extension.
  Throws:
    throws - InvalidDatatypeException if the content is invalid according to the rules for the validators
    InvalidDatatypeValueException -
  See Also:
    `InvalidDatatypeValueException`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a copy of this object.
  Overrides:
    clone in class StringDatatypeValidator
  Tags copied from class: AbstractStringValidator
  Returns:
  Throws:
    java.lang.CloneNotSupportedException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.